% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/coo-ldk-utilities.R
\name{coo_ldk}
\alias{coo_ldk}
\title{Defines landmarks interactively}
\usage{
coo_ldk(coo, nb.ldk, close = FALSE, points = TRUE)
}
\arguments{
\item{coo}{a \code{matrix} or a list of (x; y) coordinates.}

\item{nb.ldk}{\code{integer}, the number of landmarks to define}

\item{close}{\code{logical} whether to close (typically for outlines)}

\item{points}{\code{logical} whether to display points}
}
\value{
\code{numeric} that corresponds to the closest ids,
on the shape, from cliked points.
}
\description{
Allows to interactively define a \code{nb.ldk} number of landarks on a shape.
Used in other facilities to acquire/manipulate data.
}
\examples{
\dontrun{
b <- bot[1]
coo_ldk(b, 3) # run this, and click 3 times
coo_ldk(bot, 2) # this also works on Out
}
}
