% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/babel-import.R
\name{import_tps}
\alias{import_tps}
\alias{tps2coo}
\title{Import a tps file}
\usage{
import_tps(tps.path, curves = TRUE)

tps2coo(tps, curves = TRUE)
}
\arguments{
\item{tps.path}{lines, typically from \link{readLines}, describing a single shape in tps-like format.
You will need to manually build your \code{Coo} object from it: eg \code{Out(coo=your_list$coo)}.}

\item{curves}{\code{logical} whether to read curves, if any}

\item{tps}{lines for a single tps file
\code{tps2coo} is used in \link{import_tps} and may be useful for data import. When provided
with lines (eg after \link{readLines}) from a tps-like description (with "LM", "CURVES", etc.) returns a list of
coordinates, curves, etc.}
}
\value{
a list with components:
\code{coo} a matrix of coordinates; \code{cur} a list of matrices; \code{scale} the scale as a numeric.
}
\description{
And returns a list of coordinates, curves, scale
}
\note{
Note this function will be deprecated from Momocs
when \code{Momacs} and \code{Momit}
will be fully operationnal.
}
\seealso{
Other import functions: 
\code{\link{import_Conte}()},
\code{\link{import_StereoMorph_curve1}()},
\code{\link{import_jpg1}()},
\code{\link{import_jpg}()},
\code{\link{import_txt}()},
\code{\link{pix2chc}()}

Other import functions: 
\code{\link{import_Conte}()},
\code{\link{import_StereoMorph_curve1}()},
\code{\link{import_jpg1}()},
\code{\link{import_jpg}()},
\code{\link{import_txt}()},
\code{\link{pix2chc}()}
}
\concept{import functions}
