% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gr-domesticplotters.R
\name{ldk_contour}
\alias{ldk_contour}
\title{Draws kernel density contours around landmark}
\usage{
ldk_contour(ldk, nlevels = 5, grid.nb = 50, col = "grey60")
}
\arguments{
\item{ldk}{an array (or a list) of landmarks}

\item{nlevels}{the number of contour lines}

\item{grid.nb}{the grid.nb}

\item{col}{a color for drawing the contour lines}
}
\description{
Using \link{kde2d} in the MASS package.
}
\examples{
coo_plot(MSHAPES(wings))
ldk_contour(wings$coo)
}
\seealso{
\link{kde2d}, \link{ldk_confell}, \link{ldk_chull}

Other plotting functions: 
\code{\link{coo_arrows}()},
\code{\link{coo_draw}()},
\code{\link{coo_listpanel}()},
\code{\link{coo_lolli}()},
\code{\link{coo_plot}()},
\code{\link{coo_ruban}()},
\code{\link{ldk_chull}()},
\code{\link{ldk_confell}()},
\code{\link{ldk_labels}()},
\code{\link{ldk_links}()},
\code{\link{plot_devsegments}()},
\code{\link{plot_table}()}

Other ldk plotters: 
\code{\link{ldk_chull}()},
\code{\link{ldk_confell}()},
\code{\link{ldk_labels}()},
\code{\link{ldk_links}()}
}
\concept{ldk plotters}
\concept{plotting functions}
